1. Jonathan Ashwell
  2. Valentina Database ADK
  3. Понедельник, Июнь 08 2020, 07:04 PM
  4.  Подписаться через email
I've recently upgraded from V9.8.1 to 10.4.2. Once deployed, I've found that my users who have some very old databases (older than June, 2016) can't open those databases. I don't know the version of Valentina that made them for sure, but I think 5.8.8. I *can* open them if I revert to 9.8.1.

I didn't see anything about loss of backward compatibility, so my question is, is this expected? If so that's OK, but if not I'll file a Mantis report.
Комментарий
There are no comments made yet.
François Van Lerberghe Ответ принят
Don't know with 10.4, but with v10.3.0 it works fine : I can open DB from a 5.8.8 version without problem. Sometime, the diagnose find some problem with empty tables (not always, don't know why). Doing a clone resolve this.
Комментарий
There are no comments made yet.
Jonathan Ashwell Ответ принят
Thanks. If so, I'm guessing 10.4.2 is supposed work with 5.8.8 as well. I'll wait to hear from the guys, and file a Manis report if they agree.
Комментарий
There are no comments made yet.
Ruslan Zasukhin Ответ принят
Hi Jon,

I also do not remember any changes between 9.8.1 and 10.4

can you send some smallest db to us? its ZIP?
we will try to open and see if we can
Комментарий
There are no comments made yet.
Jonathan Ashwell Ответ принят
Sure. It's not that it doesn't open it -- it does. It's just that not all of the data is read in. I haven't tracked down yet if it's specific to any data type. I'll see if I can make a little demo that shows this.
Комментарий
There are no comments made yet.
  • Страница :
  • 1


There are no replies made for this post yet.
However, you are not allowed to reply to this post.